package com.ym.mec.biz.dal.entity;


import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

import com.ym.mec.common.entity.BaseEntity;

public class MusicGroupTrainPlanSaveDto extends BaseEntity {
	@ApiModelProperty(value = "年份",required = false)
	private String year;

	@ApiModelProperty(value = "学期0上学期1下学期",required = false)
	private Integer term;

	@ApiModelProperty(value = "班级",required = false)
	private Integer classGroupId;

	@ApiModelProperty(value = "课程类型",required = false)
	private String courseScheduleType;

	@ApiModelProperty(value = "学期开始时间",required = false)
	private Date startSchoolTerm;

	@ApiModelProperty(value = "学期截止时间",required = false)
	private Date endSchoolTerm;

	@ApiModelProperty(value = "规划列表",required = false)
	private List<String> plans;

	@ApiModelProperty(value = "课程组编号",required = false)
	private String musicGroupId;

	@ApiModelProperty(value = "课程上课时间",required = false)
	private Date courseClassTime;

	private Boolean studentFlag = false;
	
	public Boolean getStudentFlag() {
		return studentFlag;
	}

	public void setStudentFlag(Boolean studentFlag) {
		this.studentFlag = studentFlag;
	}

	public Date getCourseClassTime() {
		return courseClassTime;
	}

	public void setCourseClassTime(Date courseClassTime) {
		this.courseClassTime = courseClassTime;
	}

	public String getYear() {
		return year;
	}

	public void setYear(String year) {
		this.year = year;
	}

	public Integer getTerm() {
		return term;
	}

	public void setTerm(Integer term) {
		this.term = term;
	}

	public Integer getClassGroupId() {
		return classGroupId;
	}

	public void setClassGroupId(Integer classGroupId) {
		this.classGroupId = classGroupId;
	}

	public String getCourseScheduleType() {
		return courseScheduleType;
	}

	public void setCourseScheduleType(String courseScheduleType) {
		this.courseScheduleType = courseScheduleType;
	}

	public Date getStartSchoolTerm() {
		return startSchoolTerm;
	}

	public void setStartSchoolTerm(Date startSchoolTerm) {
		this.startSchoolTerm = startSchoolTerm;
	}

	public Date getEndSchoolTerm() {
		return endSchoolTerm;
	}

	public void setEndSchoolTerm(Date endSchoolTerm) {
		this.endSchoolTerm = endSchoolTerm;
	}

	public List<String> getPlans() {
		return plans;
	}

	public void setPlans(List<String> plans) {
		this.plans = plans;
	}

	public String getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

}
